<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Session Data-->
    <script type="text/javascript" src="../resources/js/session_data.js"></script>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="keywords" content="app, responsive, jquery, bootstrap, dashboard, admin">
    <script>document.write("<title>"+applicationName.concat(" - Preguntas")+"</title>");</script>
    <!-- Favicon-->
    <link rel="shortcut icon" href="../resources/img/favicon.ico"/>
    <!-- Animate-->
    <link rel="stylesheet" href="../resources/vendor/animate.css/animate.css">
    <!-- Bootstrap-->
    <link rel="stylesheet" href="../resources/vendor/bootstrap/dist/css/bootstrap.min.css">
    <!-- Ionicons-->
    <link rel="stylesheet" href="../resources/vendor/ionicons/css/ionicons.css">
    <!-- Material Colors-->
    <link rel="stylesheet" href="../resources/vendor/material-colors/dist/colors.css">
    <!-- Pace -->
    <link rel="stylesheet" href="../resources/vendor/pace/pace-corner-indicator.css">
    <!-- Sweet Alert-->
    <link rel="stylesheet" href="../resources/vendor/sweetalert/dist/sweetalert.css">
    <!-- Datatables-->
    <link rel="stylesheet" href="../resources/vendor/datatables.net-buttons-bs/css/buttons.bootstrap.min.css">
    <link rel="stylesheet" href="../resources/vendor/datatables.net-keytable-bs/css/keyTable.bootstrap.min.css">
    <link rel="stylesheet" href="../resources/vendor/datatables.net-responsive-bs/css/responsive.bootstrap.min.css">
    <!-- Select2-->
    <link rel="stylesheet" href="../resources/vendor/select2/dist/css/select2.css">
    <!-- Components-->
    <link rel="stylesheet" href="../resources/css/components.css">
    <!-- Loading -->
    <link rel="stylesheet" href="../resources/css/loading.css" >
    <!-- Application styles-->
    <link rel="stylesheet" href="../resources/css/app.css">
    <!-- Custom styles-->
    <link rel="stylesheet" href="../resources/css/custom.css">
</head>

<body>
<div class="layout-container">

    <!-- top navbar-->
    <header class="header-container includeHTML" data-html="header.html" data-title="Preguntas">
    </header>

    <!-- sidebar-->
    <aside class="sidebar-container includeHTML" data-html="menu.html">
    </aside>

    <div class="sidebar-layout-obfuscator"></div>

    <!-- Main section-->
    <main class="main-container">
        <!-- Page content-->
        <section class="section-container">
            <div class="container container-fluid">
                <div class="cardbox">
                    <div class="cardbox-heading">
                        <div class="tool-bar">
                            <!-- Adicionar -->
                            <button id="btn-nuevo" class="btn btn-labeled btn-primary" type="button">
                                <span class="btn-label">
                                    <i class="ion-plus-round"></i>
                                </span>
                                Nuevo
                            </button>
                        </div>
                    </div>
                    <div class="cardbox-body clearfix">
                        <div class="table-responsive">
                            <table class="table table-striped my-4 table-sm" id="datatable-preguntas">
                                <thead>
                                    <tr>
                                        <th class="sort-alpha">Categoria</th>
                                        <th class="sort-alpha">Enunciado</th>
                                        <th class="sort-numeric">Orden</th>
                                        <th>Acciones</th>
                                        <th class="hidden-column">Data</th>
                                    </tr>
                                </thead>
                                <tfoot class="search">
                                    <tr>
                                        <th class="search-individual">Categoria</th>
                                        <th class="search-individual">Enunciado</th>
                                        <th class="search-individual">Orden</th>
                                        <th></th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <!-- Page footer-->
        <footer class="footer-container">
            <div class="d-flex justify-content-between fh">
                <!--
                <a class="footer-icon footer-icon-lg has-badge user_messages" href="#">
                    <em class="ion-ios-email"></em>
                    <sup class="text-sm badge bg-danger tooltip-toolbar messages_total" style=""></sup>
                    <span>Mensajes</span>
                </a>
                -->
                <a class="footer-icon footer-icon-lg user_dashboard" href="#">
                    <em class="ion-home"></em>
                    <span>Escritorio</span>
                </a>
                <a class="footer-icon footer-icon-lg user_profile" href="#">
                    <em class="ion-ios-gear"></em>
                    <span>Perfil</span>
                </a>
            </div>
        </footer>
    </main>

</div>

<!-- MODAL PARA UN REGISTRO -->
<div id="modal-pregunta" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true" >
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <form id="formulario-pregunta" class="cardbox cardbox-flat form-validate" novalidate="">
                <div class="modal-header">
                    <h4 class="mt-0 modal-title"><text id="title-operacion"></text> Pregunta</h4>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span>&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <input id="operacion" type="hidden">
                    <input id="id_pregunta" type="hidden">
                    <div class="form-group">
                        <label>Categoria</label>
                        <select id="categoria" name="categoria" class="form-control">
                            <option value=""> Cargando ...</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Enunciado</label>
                        <textarea id="enunciado" name="enunciado" class="form-control" required></textarea>
                    </div>
                    <div class="form-group">
                        <label>Orden</label>
                        <input id="orden" name="orden" class="form-control" type="number" min="1" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-danger" type="button" data-dismiss="modal" aria-label="Close">
                        Cancelar
                    </button>
                    <button class="btn btn-primary" type="submit">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- MODAL PARA LAS RESPUESTAS -->
<div id="modal-respuestas" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="mt-0 modal-title">Respuestas</h4>
                <input id="id_pregunta_respuesta" type="hidden">
                <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="table-responsive">
                    <table class="table table-striped table-sm" id="datatable-respuestas">
                        <thead>
                        <tr>
                            <th class="sort-numeric">Orden</th>
                            <th class="sort-alpha">Enunciado</th>
                            <th>Acciones</th>
                            <th class="hidden-column">Data</th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- MODAL PARA UNA RESPUESTA -->
<div id="modal-respuesta" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <form id="formulario-respuesta" class="cardbox cardbox-flat form-validate" novalidate="">
                <div class="modal-header">
                    <h4 class="mt-0 modal-title"><text id="title-operacion-respuesta"></text> Respuesta</h4>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span>&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <input id="operacion_respuesta" type="hidden">
                    <input id="id_respuesta" type="hidden">
                    <div class="form-group">
                        <label>Orden</label>
                        <input id="orden_respuesta" name="orden_respuesta" class="form-control" type="number" min="1" required>
                    </div>
                    <div class="form-group">
                        <label>Enunciado</label>
                        <textarea id="enunciado_respuesta" name="enunciado_respuesta" class="form-control"></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-danger" type="button" data-dismiss="modal" aria-label="Close">
                        Cancelar
                    </button>
                    <button class="btn btn-primary" type="submit">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<!-- Modernizr-->
<script src="../resources/vendor/modernizr/modernizr.custom.js"></script>
<!-- jQuery-->
<script src="../resources/vendor/jquery/dist/jquery.js"></script>
<!-- Bootstrap-->
<script src="../resources/vendor/popper.js/dist/umd/popper.min.js"></script>
<script src="../resources/vendor/bootstrap/dist/js/bootstrap.js"></script>
<!-- Material Colors-->
<script src="../resources/vendor/material-colors/dist/colors.js"></script>
<!-- Screenfull-->
<script src="../resources/vendor/screenfull/dist/screenfull.js"></script>
<!-- PaceJS-->
<script src="../resources/vendor/pace/pace.min.js"></script>
<!-- jQuery Number-->
<script src="../resources/vendor/jquery-number/jquery.number.min.js"></script>
<!-- jQuery Form Validation-->
<script src="../resources/vendor/jquery-validation/dist/jquery.validate.js"></script>
<script src="../resources/vendor/jquery-validation/dist/additional-methods.js"></script>
<!-- Sweet Alert-->
<script src="../resources/vendor/sweetalert/dist/sweetalert-dev.js"></script>
<!-- Datatables-->
<script src="../resources/vendor/datatables.net/js/jquery.dataTables.min.js"></script>
<script src="../resources/vendor/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
<script src="../resources/vendor/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
<script src="../resources/vendor/datatables.net-buttons/js/buttons.colVis.js"></script>
<script src="../resources/vendor/datatables.net-buttons/js/buttons.flash.min.js"></script>
<script src="../resources/vendor/datatables.net-buttons/js/buttons.html5.min.js"></script>
<script src="../resources/vendor/datatables.net-buttons/js/buttons.print.min.js"></script>
<script src="../resources/vendor/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
<script src="../resources/vendor/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
<script src="../resources/vendor/datatables.net-responsive-bs/js/responsive.bootstrap.min.js"></script>
<!-- Select2-->
<script src="../resources/vendor/select2/dist/js/select2.js"></script>
<!-- Push-->
<script src="../resources/vendor/push/push.min.js"></script>
<!-- Functions-->
<script src="../resources/js/functions.js"></script>
<!-- App script-->
<script src="../resources/js/app.js"></script>
<!-- Constants-->
<script src="../resources/js/constants.js"></script>
<!-- JS for this page -->
<script type="text/javascript" src="../resources/js/view/admin/questions.js"></script>

</body>

</html>